#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    long long q, l, r;
    cin>>s>>q;
    for (int f=0; f<q; f++) {
        cin>>l>>r;
        l--;
        r--;
        string s1="";
        for (int i=l; i<=r; i++) {
            s1+=s[i];
        }
        //cout<<s1<<endl;
        long long k=1;
        for (int i=0; i<s1.size()-1; i++) {
            if (s1[i]>s1[i+1]) {
                k++;
            }
        }
        cout<<k<<endl;
    }
}
